<template>
  <ob-modal
    ref="logchainsModalNotFound"
    title="Подходящих логцепочек не найдено"
    size="medium"
    isConfirm
    isShowControls
    okText="Понятно"
    cancelText=""
    :isShowCloseButton="false"
    data-qa="logchainsModalNotFound"
    custom-class="ob-logchains-modal-error-wrapper ob-logchains-modal-not-found"
    @submit="$emit('submit')"
    @cancel="$emit('cancel')"
  >
    <div class="ob-logchain-modal">
      <p>Мы не смогли найти подходящие варианты по вашему запросу. Проверьте корректность адреса, способа перевозки, попробуйте ещё раз, или обратитесь к менеджеру:</p>
      <p>
        Телефон: <a :href="`tel:${$options.contacts[platform].linkphone}`">{{
          $options.contacts[platform].phone
        }}</a>  с 9:00 до 18:00 с пн-пт
        <br />
        Номер вашего заказа: {{ orderNumber }}
      </p>
      <p>
        Предложения и пожелания по работе системы вы можете отправить в службу технической поддержки на <a :href="`mailto:${$options.contacts[platform].email}`">{{
          $options.contacts[platform].email
        }}</a>
      </p>
    </div>
  </ob-modal>
</template>

<script>
  import { contacts } from "@/resources/contacts";
  import ObModal from 'common-components/src/obComponents/obModal';

  export default {
    name: 'orderLogchainError',

    props: {
      orderNumber: {
        type: String,
        required: true,
      },
    },

    components: {
      ObModal,
    },

    contacts,

    methods: {
      open () {
        this.$refs.logchainsModalNotFound.open()
      },
      close () {
        this.$refs.logchainsModalNotFound.close()
      }
    },

    computed: {
      platform() {
        return window.OBOZ_CONFIG.OBOZ_API_HOST.includes("oboz")
          ? "oboz"
          : "gruzi";
      },
    },
  }
</script>

<style lang="scss">
@import "~common-components/src/static/css/variables";
@import "~common-components/src/static/css/mixins";

.ob-logchains-modal-error-wrapper {


  .ob-logchain-modal {

    p {
      @include font-mixin(16px, 20px, 400, $topMenuTextHover);
    }
  }

  a {
    text-decoration: none;
    color: $color-blue-smalt;
  }

  .w100 {
    width: auto !important;
  }

  .ob-button-container.primary-type.danger {
    background: #0070A6;
    color: #fff;
  }
}

.ob-logchains-modal-not-found {
  .modal-footer {
    button:last-child {
      display: none;
    }
  }
}
</style>
